# XIVChat for Android

This app allows you to chat in FFXIV from your phone!

## Beta

**This app is currently beta software. It does not have all its planned features.**

### Implemented features

- Handle all communication using strong, secure encryption
- Chat and send commands to the game from your phone
- Default chat colours and formatting
- Basic searching of chat
- Filter out the battle log
- Process chat messages as a subset of Markdown (support for links, italics, bold, etc.)
- Filtering similar to the game (choose which channels you want to see)
- Chat tabs with separate filtering
- Friend list
- Custom colours (set in the game)

### Planned features

- More in-depth chat searching (search by sender, message type, content)
- Linkshell list and cross-world linkshell list visible in the app
- Notifications for key words, like your name, etc.

## Known issues

- Certain icons (like auto-translate, mentor crowns, etc.) are misaligned, especially when text wraps

## Install

[Purchase][purchase] the app from Gumroad and sideload it onto your Android phone (Android 8.0+). **Purchasing is not currently available, since we're not actually in beta yet!**

<small>You can build this app from source and use it, but I will provide less support if you do so. Please consider supporting me.</small>

## Usage

The app requires that you install the XIVChat [Dalamud][xivlauncher] plugin before using it. The plugin is free!

After installing the plugin, connect to the game by adding a server in the app with your computer's IP address. Tap on the server after adding it to connect!

Ensure both the app and the server are displaying the same keys, then enjoy. c:

[purchase]: https://gum.co/xivchat-android
[xivlauncher]: https://github.com/goaaats/FFXIVQuickLauncher
